# eric4.PluginManager.PluginExceptions

Module implementing the exceptions raised by the plugin system.

### Classes

PluginActivationError | Class defining an error raised, when there was an error during plugin activation.
PluginClassFormatError | Class defining an error raised, when the plugin module's class is invalid.
PluginError | Class defining a special error for the plugin classes.
PluginLoadError | Class defining an error raised, when there was an error during plugin loading.
PluginModuleFormatError | Class defining an error raised, when the plugin module is invalid.
PluginModulesError | Class defining an error raised, when no plugin modules were found.
PluginPathError | Class defining an error raised, when the plugin paths were not found and could not be created.

### Functions

None

## PluginActivationError

Class defining an error raised, when there was an error during plugin activation.

### Derived from

PluginError

### Methods

PluginActivationError | Constructor

#### PluginActivationError (Constructor)

PluginActivationError(name)

Constructor

name
  name of the pugin module (string)

Up

## PluginClassFormatError

Class defining an error raised, when the plugin module's class is invalid.

### Derived from

PluginError

### Methods

PluginClassFormatError | Constructor

#### PluginClassFormatError (Constructor)

PluginClassFormatError(name, class_, missing)

Constructor

name
  name of the pugin module (string)
class_
  name of the class not satisfying the requirements (string)
missing
  description of the missing element (string)

Up

## PluginError

Class defining a special error for the plugin classes.

### Derived from

Exception

### Methods

PluginError | Constructor
__repr__ | Private method returning a representation of the exception.
__str__ | Private method returning a string representation of the exception.

#### PluginError (Constructor)

PluginError()

Constructor

#### PluginError.__repr__

__repr__()

Private method returning a representation of the exception.

Returns:
  string representing the error message

#### PluginError.__str__

__str__()

Private method returning a string representation of the exception.

Returns:
  string representing the error message

Up

## PluginLoadError

Class defining an error raised, when there was an error during plugin loading.

### Derived from

PluginError

### Methods

PluginLoadError | Constructor

#### PluginLoadError (Constructor)

PluginLoadError(name)

Constructor

name
  name of the pugin module (string)

Up

## PluginModuleFormatError

Class defining an error raised, when the plugin module is invalid.

### Derived from

PluginError

### Methods

PluginModuleFormatError | Constructor

#### PluginModuleFormatError (Constructor)

PluginModuleFormatError(name, missing)

Constructor

name
  name of the pugin module (string)
missing
  description of the missing element (string)

Up

## PluginModulesError

Class defining an error raised, when no plugin modules were found.

### Derived from

PluginError

### Methods

PluginModulesError | Constructor

#### PluginModulesError (Constructor)

PluginModulesError()

Constructor

Up

## PluginPathError

Class defining an error raised, when the plugin paths were not found and could not be created.

### Derived from

PluginError

### Methods

PluginPathError | Constructor

#### PluginPathError (Constructor)

PluginPathError()

Constructor

Up